import request from "@/utils/request";

//获取spc任务分页列表
export function getTableData(data) {
  return request({
    url: "/api/v1/quality/task/page",
    method: "post",
    data,
  });
}
//获取spc任务内基础绑定信息部分
export function getBaseData() {
  return request({
    url: "/api/v1/quality/warningRule/prodtOperations",
    method: "get",
  });
}
//新增任务
export function add(data) {
  return request({
    url: "/api/v1/quality/task/add",
    method: "post",
    data,
  });
}
//修改任务
export function updateData(data) {
  return request({
    url: "/api/v1/quality/task/update",
    method: "post",
    data,
  });
}

//删除任务
export function deleteData(data) {
  return request({
    url: "/api/v1/quality/task/del",
    method: "post",
    data,
  });
}

//获取SPC任务规则
export function getRuleData(data) {
  return request({
    url: "/api/v1/quality/warningRule/page",
    method: "post",
    data,
  });
}
//新增SPC任务规则
export function addRuleData(data) {
  return request({
    url: "/api/v1/quality/warningRule/add",
    method: "post",
    data,
  });
}
//新增SPC任务规则
export function deleteRuleData(data) {
  return request({
    url: "/api/v1/quality/warningRule/del",
    method: "post",
    data,
  });
}


